package dev.service;

import dev.dao.MenuItemDao;
import dev.model.MenuItem;
import java.util.List;

public class MenuService {

    private MenuItemDao menuItemDao = new MenuItemDao();

    public void showMenu() {
        List<MenuItem> items = menuItemDao.findAll();

        System.out.println("Available Items:");
        for (MenuItem item : items) {
            System.out.println(item.getId() + ". " + item.getName() + " (" + item.getDescription() + ") - $" + item.getPrice());
        }
        System.out.println();
    }
}